# Docker Networks
networks:
  oracle:
    external: true
    name: hostenv_niftsy-net

services:
  fastapi_service:
    image: "registry.gitlab.com/envelop/oracle/apiservice:api"
    container_name: fast_api
    restart: always
    env_file: ./.env
    networks:
      - oracle
    command: ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "80", "--reload"]
    labels:
      
      # Main Api app
      - traefik.enable=true
      - traefik.http.routers.oracleapi.rule=Host(`${CI_ENVIRONMENT_URL}`)
      - traefik.http.routers.oracleapi.entrypoints=websecure
      - traefik.http.routers.oracleapi.tls=true
      - traefik.http.routers.oracleapi.tls.certresolver=leresolver
      - traefik.http.routers.oracleapi.middlewares=cors
    logging:
      options:
        max-file: "10"
        max-size: 1m
    secrets:
      - oracle_signer_passw 
secrets:
  # oracle_signer_passw:
  # External secrets are not available to containers created by docker-compose.
  #   external: true
  oracle_signer_passw:
    file: readme.not 
